List packages for a number

GET/databundle-api-v2/offers/{service_id}/{phone_number}

Packages the network currently offers to that number. Each package id is valid for 60 minutes; buy within that window.

Parameters

  • service_idpathstringrequired

    From List data services.

  • phone_numberpathstringrequired

    Recipient number.

Request

curl -X GET "https://api.bulkclix.com/api/v1/databundle-api-v2/offers/b2c3d4e5-0000-4000-8000-000000000001/0241234567" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Accept: application/json"

Response · 200

application/json
{
  "message": "Data Bundle Offers Fetched Successfull",
  "data": {
    "packages": {
      "data": [
        {
          "id": "c9d8e7f6-1111-4000-8000-000000000009",
          "Display": "2GB - 30 days",
          "Value": "2048",
          "Amount": "10.00"
        }
      ]
    },
    "user": {
      "name": "AMA MENSAH"
    }
  }
}